# Bevy Builder

Docker components for building Bevy based games. Includes Crunch for working with asset files

## Usage

There isn't much to it. Create your dockerfile based on one of the tags for this image and then run whatever build steps you need to run.

The registry base URL is `r.lcr.gr/microhacks/bevy-builder`.

Possible tags:

Tag | Description
----|-------------
`latest` | Based on Rust nightly, contains the latest build of [Crunch](https://lab.lcr.gr/microhacks/crunch)

## Example

This dockerfile is used to cross-compile the windows version of [Advent Realms](https://adventrealms.com) on a linux system (and in CI) with the command


```docker
FROM r.lcr.gr/microhacks/bevy-builder

WORKDIR /app
ENV RUSTFLAGS="-Awarnings"

CMD ["cargo", "build", "--release", "-p", "advent", "--target", "x86_64-pc-windows-gnu"]
```

The docker image is then used as part of a Makefile build:

```make
windows:
	docker build -t advent/windows-build -f build/windows.dockerfile .
	docker run -v "$(CURRENT_DIRECTORY):/app" --user $(shell id -u):$(shell id -g) advent/windows-build
```
